#/////////////////////////////////////////////////////////////////////////////
# FILE:    submodelforecast_layer_gui.tcl
# PURPOSE: Definition of the communication layer between MMS and the GUI for
#          Submodel Forecast
#/////////////////////////////////////////////////////////////////////////////

namespace eval LayerSubmodelForecastGui {

#/////////////////////////////////////////////////////////////////////////////
proc GetSubmodelForecastListTest { } {
#/////////////////////////////////////////////////////////////////////////////
  return {
    {}
    {
      name "SubmodelForecast 1"
    }
    {}
    {
      name "SubmodelForecast 2"
    }
  }
}

variable submodelsf_list_test 0
#/////////////////////////////////////////////////////////////////////////////
proc GetSubmodelForecastList {forecast} {
#/////////////////////////////////////////////////////////////////////////////
  variable submodelsf_list_test
  
  if { $submodelsf_list_test } {
    return [GetSubmodelForecastListTest]
  }
  LayerMMSGui::EvalTolFun "MMS::Layer::ForecastsGui::GetSubmodelForecastList" \
    "Set" $forecast
}

#///////////////////////////////////////////////////////////////////////////
proc GetSubmodelForecastHelp {} {
#///////////////////////////////////////////////////////////////////////////
  
  LayerMMSGui::EvalTolFunArgNoChg "MMS::Layer::ForecastsGui::GetSubmodelForecastHelp" \
    "Text" "?"
}

}
